Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.options
Class RecordDelimiter

    java.lang.Object
      com.servingxml.components.flatfile.options.AbstractDelimiter
          com.servingxml.components.flatfile.options.RecordDelimiter

All Implemented Interfaces:
  Delimiter

    public class RecordDelimiter

extends AbstractDelimiter

Field Summary
`static RecordDelimiter` | `CRLF`
`static RecordDelimiter[]` | `EMPTY_ARRAY`
`static RecordDelimiter` | `LF`
`static RecordDelimiter` | `SYSTEM`

Fields inherited from class com.servingxml.components.flatfile.options.AbstractDelimiter
`separator`

Fields inherited from interface com.servingxml.components.flatfile.options.Delimiter
`EMPTY_DELIMITER_ARRAY, NULL`

Constructor Summary
`RecordDelimiter()`
`RecordDelimiter(char[] values, boolean reading, boolean writing)`
`RecordDelimiter(Separator separator, boolean reading, boolean writing)`
`RecordDelimiter(java.lang.String s)`
`RecordDelimiter(java.lang.String s, boolean reading, boolean writing)`
`RecordDelimiter(java.lang.String startValue, java.lang.String endValue)`

Method Summary
`static RecordDelimiter[]` | `trimArray(RecordDelimiter[] delimiters)`

Methods inherited from class com.servingxml.components.flatfile.options.AbstractDelimiter
`createByteDelimiterExtractor, createCharDelimiterExtractor, createDelimiterExtractor, equalsString, forReading, forWriting, isEmpty, occursIn, toString, trimArray, writeEndDelimiterTo, writeEndDelimiterTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EMPTY_ARRAY

    public static final RecordDelimiter[] EMPTY_ARRAY

### SYSTEM

    public static final RecordDelimiter SYSTEM

### CRLF

    public static final RecordDelimiter CRLF

### LF

    public static final RecordDelimiter LF

Constructor Detail

### RecordDelimiter

    public RecordDelimiter()

### RecordDelimiter

    public RecordDelimiter(char[] values,
                           boolean reading,
                           boolean writing)

### RecordDelimiter

    public RecordDelimiter(java.lang.String s,
                           boolean reading,
                           boolean writing)

### RecordDelimiter

    public RecordDelimiter(java.lang.String s)

### RecordDelimiter

    public RecordDelimiter(java.lang.String startValue,
                           java.lang.String endValue)

### RecordDelimiter

    public RecordDelimiter(Separator separator,
                           boolean reading,
                           boolean writing)

Method Detail

### trimArray

    public static RecordDelimiter[] trimArray(RecordDelimiter[] delimiters)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD